Subject: Re: [RFC v2 3/6] kthread: warn on kill signal if not OOM

From: Tejun Heo <[email-masked]>
Date: Tue, 9 Sep 2014 10:13:02 +0900

On Tue, Sep 09, 2014 at 10:10:59AM +0900, Tejun Heo wrote:
> * Identify cases which can't be asynchronous and make them
>   synchronous.  e.g. keep who's doing request_module() and avoid
>   asynchronous probing if current is probing one of those.

That wouldn't work as we don't know what's gonna happen in userland
but we can start with just disallowing async probing for char devices
for now.

Thanks.

-- 
tejun